tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.RoomClosedHandler.RoomClosedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.RoomClosedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.RoomClosedHandler.RoomClosedEvent

- Enclosing interface:
    MucModule.RoomClosedHandler

      public static class MucModule.RoomClosedHandler.RoomClosedEvent
      extends JaxmppEvent<MucModule.RoomClosedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoomClosedEvent(SessionObject sessionObject, Presence element, Room room)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MucModule.RoomClosedHandler handler)` Invokes handlers method.
    `Presence` | `getPresence()`
    `Room` | `getRoom()`
    `void` | `setPresence(Presence presence)`
    `void` | `setRoom(Room room)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoomClosedEvent

          public RoomClosedEvent(SessionObject sessionObject,
                                 Presence element,
                                 Room room)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MucModule.RoomClosedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.RoomClosedHandler>`
      Parameters:
        `handler` - handler

    - #### getPresence

          public Presence getPresence()

    - #### getRoom

          public Room getRoom()

    - #### setPresence

          public void setPresence(Presence presence)

    - #### setRoom

          public void setRoom(Room room)

Copyright © 2006–2016 Tigase. All rights reserved.